## groovy.util
Class GroovyLog

Represents an arbitrary logging service. By default this outputs to System.out though derivations of this class could log to Jakarta Commons Logging or log4j or JDK 1.5 logging etc

author:
  James Strachan

version:
  $Revision: 7210 $

Field Summary
`String` | `prefix`

Constructor Summary
`GroovyLog()`
`GroovyLog(Class type)`
`GroovyLog(Object obj)`
`GroovyLog(String prefix)`

Method Summary
`Object` | `invokeMethod(String name, Object args)`
`static GroovyLog` | `newInstance(Class aClass)` Factory method to create new instances

Constructor Detail

### GroovyLog

    public GroovyLog()

### GroovyLog

    public GroovyLog(Class type)

### GroovyLog

    public GroovyLog(Object obj)

### GroovyLog

    public GroovyLog(String prefix)

Method Detail

### invokeMethod

    public Object invokeMethod(String name, Object args)

### newInstance

    public static GroovyLog newInstance(Class aClass)

  Factory method to create new instances